## org.hibernate.annotations
Annotation Type FilterDef

    @Target(value={TYPE,PACKAGE})
    @Retention(value=RUNTIME)
    public @interface FilterDef

Filter definition

Author:
  Matthew Inger, Emmanuel Bernard

Required Element Summary
`String` `name`

Optional Element Summary
`String` `defaultCondition`
`ParamDef[]` `parameters`

Element Detail

### name

    public abstract String name

### defaultCondition

    public abstract String defaultCondition

  Default:
    ""

### parameters

    public abstract ParamDef[] parameters

  Default:
    {}

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.